Bug 1471351 - Fedora 26 Workstation installer hangs for 30+ seconds after selecting language and keyboard layout
Fedora 26 Workstation installer hangs for 30+ seconds after selecting languag...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-15 02:15 EDT by Andrew Toskin
Modified: 2018-05-05 17:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-05 17:58:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Toskin 2017-07-15 02:15:41 EDT
Description of problem:

On the very first screen after launching the Fedora installer, you're presented with a list of languages and keyboard layouts. After making a selection here, it hangs for about 30 seconds or longer before continuing to the next screen. During this time there's no indication of what's happening, and users might assume that there was an error and Anaconda is going to crash, or force Anaconda to exit prematurely, as I did the first time I encountered this today.


How reproducible:
Happens every time I launch the Fedora live usb.


Steps to Reproduce:
1. Download and install live image of Fedora 26 Workstation x86_64 onto a thumb drive, using Fedora Media Writer.
2. Boot into live OS.
3. Launch Anaconda by clicking on "Install To Disk" in the welcome message.
4. Choose a language.

Actual results:
Anaconda hangs for about 30 seconds when I choose English (US). It hung for about a minute when I chose Español (Mexico).

Expected results:
Anaconda should proceed almost immediately, or else give some sort of progress indicator, preferably with a brief note on what it's doing ("Setting up your chosen language").
Comment 1 Fedora End Of Life 2018-05-03 03:52:54 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Andrew Toskin 2018-05-05 17:58:42 EDT
This issue seems to have been resolved as of the Fedora 28 Workstation installer. (I don't recall how it was in Fedora 27.)

Note You need to log in before you can comment on or make changes to this bug.